Package twisted :: Package web :: Module widgets :: Class StreamWidget

[show private | hide private]
[frames | no frames]

## Class StreamWidget

    Widget --+
             |
            StreamWidget

Known Subclasses:
  `IdentitiesGadget`, `UserDirectory`, `DirectoryListing`, `Sidebar`

A 'streamable' component of a webpage.

Method Summary
| ``display`(self, request)` Produce a list containing a single string.
| `getTitle(self, request)` (inherited from `Widget`)
| ``stream`(self, write, request)` Call 'write' multiple times with a string argument to represent this widget.

Method Details

### display(self, request)

Produce a list containing a single string.

### stream(self, write, request)

Call 'write' multiple times with a string argument to represent this widget.

Generated by Epydoc 1.1 on Thu May 8 13:17:00 2003 | http://epydoc.sf.net